/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
export interface MultiSelectTreeCheckableSettings {
    /**
     * Determines whether to automatically check child nodes.
     * Defaults to `true`.
     *
     * > When this property is enabled, it should be used with [`loadOnDemand`]({% slug api_dropdowns_multiselecttreecomponent %}#toc-loadondemand) set to 'false' ([see example]({% slug checkablesettings_multiselecttree %})). Otherwise, after expand of a checked node (and load of its inner items) the value selected in the widget and the checked items in the drop-down will no longer be in sync. Currently, such scenario is not among the supported.
     */
    checkChildren?: boolean;
    /**
     * Specifies if on clicking the tree node, the item will be checked or unchecked, or if selection will be performed only on checkbox click.
     * Defaults to `true`.
     */
    checkOnClick?: boolean;
}
